# Generated by Django 4.1.11 on 2023-09-05 15:50

from django.conf import settings
import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Round',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('status', models.CharField(choices=[('ended', 'ended'), ('ongoing', 'ongoing')], default='ongoing', max_length=20, verbose_name='status')),
                ('users', models.ManyToManyField(to=settings.AUTH_USER_MODEL, verbose_name='users in round')),
            ],
            options={
                'db_table': 'rounds',
            },
        ),
        migrations.CreateModel(
            name='RoundState',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('available_numbers', django.contrib.postgres.fields.ArrayField(base_field=models.IntegerField(), default=[0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10], size=None, verbose_name='available numbers')),
                ('drawn_numbers', django.contrib.postgres.fields.ArrayField(base_field=models.IntegerField(), default=[], size=None, verbose_name='drawn numbers')),
                ('round', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='states', to='roulette.round', verbose_name='round')),
            ],
            options={
                'db_table': 'round_states',
            },
        ),
        migrations.CreateModel(
            name='UserMove',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False, unique=True)),
                ('number', models.IntegerField(verbose_name='dropped number')),
                ('round', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='moves', to='roulette.round', verbose_name='round')),
                ('state', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='move', to='roulette.roundstate', verbose_name='state')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='moves', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'db_table': 'user_moves',
            },
        ),
    ]
